Bug 199060 - System freezes when closing X session or switching to text console
System freezes when closing X session or switching to text console
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-16 16:09 EDT by Damian Wrobel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 18:15:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -qa | sort (32.27 KB, text/plain)
2006-07-16 16:09 EDT, Damian Wrobel
no flags Details
Xorg.0.log (82.08 KB, text/plain)
2006-07-16 16:11 EDT, Damian Wrobel
no flags Details
xorg.conf (3.14 KB, text/plain)
2006-07-16 16:19 EDT, Damian Wrobel
no flags Details
lspci (1.62 KB, text/plain)
2006-07-16 16:22 EDT, Damian Wrobel
no flags Details
full list of upgraded xorg packages (2.51 KB, text/plain)
2006-07-27 17:39 EDT, Damian Wrobel
no flags Details

  None (edit)
Description Damian Wrobel 2006-07-16 16:09:33 EDT
Description of problem:

The whole system freezes immediately after pressing ctrl-atl-f1 or
ctrl-alt-backspace sequences.


Version-Release number of selected component (if applicable):

The lastest version of all packages. Output of rpm-qa will be attached.

How reproducible:
100%.

Steps to Reproduce:
1. by pressing aforementioned keys
2. also happens when I add
   line:
     1=Standard
   to the [servers] section in /etc/gdm/custom.conf file.

Additional info:

1. It start occuring after upgrading to xserver 1.1.1 (it never happened using
previous versions).

2. It doesn't matter which kernel I'm using. Tested on:
    2.6.17n (vanilla)
    2.6.17-1.2405.fc6,
    2.6.18-rc2n (vanilla).

3. If it happened, there is about 30-50 pixels wide horizontal line on top of
the screen (sometimes read, sometimes blue).

4. The system is completely frozen (keyboard, mouse, power button, remote
logging doesn't working).
Comment 1 Damian Wrobel 2006-07-16 16:09:34 EDT
Created attachment 132527 [details]
rpm -qa | sort
Comment 2 Damian Wrobel 2006-07-16 16:11:39 EDT
Created attachment 132528 [details]
Xorg.0.log
Comment 3 Damian Wrobel 2006-07-16 16:19:02 EDT
Created attachment 132529 [details]
xorg.conf

disabling "dri" module don't help.
Comment 4 Damian Wrobel 2006-07-16 16:22:31 EDT
Created attachment 132530 [details]
lspci
Comment 5 Damian Wrobel 2006-07-27 17:39:09 EDT
Created attachment 133199 [details]
full list of upgraded xorg packages

Not reproducible after upgrading to:

xorg-x11-drv-i810-1.6.0-12.20060717modeset.fc6
xorg-x11-server-Xorg-1.1.1-12.fc6
Comment 6 Mike A. Harris 2006-07-27 18:15:10 EDT
Cool, thanks for the update.  Setting status to resolved in "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.